Bug 989253 - Information about wine is missing when exe file is opened
Information about wine is missing when exe file is opened
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: file-roller (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-28 15:51 EDT by František Zatloukal
Modified: 2015-06-29 08:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:08:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example of solution (876 bytes, text/x-python)
2013-07-28 15:51 EDT, František Zatloukal
no flags Details
Example of solution - Correct one for Fedora (829 bytes, text/x-python)
2013-08-05 17:14 EDT, František Zatloukal
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 703421 None None None Never
Launchpad 1203576 None None None Never

  None (edit)
Description František Zatloukal 2013-07-28 15:51:39 EDT
Created attachment 779406 [details]
Example of solution

Description of problem:
In fresh Fedora installation is File-Roller as default application to open exe files. Newbies are usually confused because they don't know anything about wine. This is not ideal, some information dialog is far better solutuion.

By default, there should be some application which is associated with exe files by default. That application should provide basic information about wine and "one-click" option to install it.

Example python app included as an attachment(it relies on pyqt4, it lacks translation support, it's just a sample of possible solution).


How reproducible:
Always

Steps to Reproduce:
1.Install Fedora
2.Open any exe file

Actual results:
File open in File-Roller.

Expected results:
Information about wine and possibility to install it.

Additional info:
Alredy submited
Launchpad: https://bugs.launchpad.net/ubuntu/+bug/1203576
Gnome Bugzilla: https://bugzilla.gnome.org/show_bug.cgi?id=703421

This can be fixed in upstream of DE - File-Roller for Gnome or in downstream of Fedora - as including another application in default installation which will be default for opening exe files.
Comment 1 František Zatloukal 2013-08-05 17:14:47 EDT
Created attachment 783023 [details]
Example of solution - Correct one for Fedora

Some corrections.
Comment 2 Fedora End Of Life 2013-09-16 10:52:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 5 Václav Pavlín 2014-08-04 10:37:53 EDT
This might be good idea but it needs to be considered either by the aforementioned package or by wider audience (see  https://fedoraproject.org/wiki/Changes/Policy)

Moving to file-roller for consideration.
Comment 6 Fedora End Of Life 2015-05-29 05:13:34 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-06-29 08:08:04 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.